Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Class RemoteResourceIterator

    java.lang.Object
      org.exist.xmldb.RemoteResourceIterator

All Implemented Interfaces:
  ResourceIterator

public class RemoteResourceIterator
extends java.lang.Object
implements ResourceIterator

Constructor Summary
`RemoteResourceIterator(RemoteCollection col, java.util.Vector resources, int indentXML, java.lang.String encoding)`

Method Summary
`int` | `getLength()`
`boolean` | `hasMoreResources()` Returns true as long as there are still more resources to be iterated.
`Resource` | `nextResource()` Returns the next `Resource` instance in the iterator.
`void` | `setNext(int next)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteResourceIterator

    public RemoteResourceIterator(RemoteCollection col,
                                  java.util.Vector resources,
                                  int indentXML,
                                  java.lang.String encoding)

Method Detail

### getLength

    public int getLength()

### hasMoreResources

    public boolean hasMoreResources()
                             throws XMLDBException

  Description copied from interface: `ResourceIterator`
  Returns true as long as there are still more resources to be iterated.

  Specified by:
    `hasMoreResources` in interface `ResourceIterator`
  Returns:
    true if there are more resources to iterate, false otherwise.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setNext

    public void setNext(int next)

### nextResource

    public Resource nextResource()
                          throws XMLDBException

  Description copied from interface: `ResourceIterator`
  Returns the next `Resource` instance in the iterator.

  Specified by:
    `nextResource` in interface `ResourceIterator`
  Returns:
    the next `Resource` instance in the iterator.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
    `ErrorCodes.NO_SUCH_RESOURCE` if the resource iterator is empty or all resources have already been retrieved.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.